//////////////////////////////////////////
// TestControl.cpp
//Copyright (c) 08/19/2002 by BCCSkelton
//////////////////////////////////////////
#include	"TestControl.h"
#include	"TestControlProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!TestControl.IsOnlyOne()) {
		HWND hWnd = FindWindow(NULL, "TestControl");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//CPICBOXクラスを登録する
	if(!PicBox.Register(hInstance))
		MessageBox(NULL, "PictureBoxが登録できませんでした", "警告", MB_OK | MB_ICONSTOP);

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!TestControl.Create(NULL, "IDD_MAIN", ModelessProc))
		return 0L;

	//メッセージループに入る
	return TestControl.Loop();
}
